<?php

namespace xenarabia\LimitThreads\XF\Repository;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Repository;


class LmRepository extends Repository{

    public function getUserOpenThreads()
    {
        $visitor = \XF::visitor();
        $sysTime = \XF::$time - 86400;
        $cpnt = $this->finder('XF:Thread');
        return $cpnt
        ->where('discussion_state', '=', 'visible')
        ->where('discussion_open', 1)
        ->where('post_date', '>=', $sysTime)
        ->where('user_id',$visitor->user_id);

    }

}